Subject: FVWM: Re: Installation of fvwm under Irix5.3

From: [email-masked] (Pete Siemsen)
Date: Tue, 16 Jan 1996 09:29:39 -0700 (MST)

"Roger" == Roger Savard (root@centrcn) <[email-masked]> writes:
>>
>> I'm thinking of replacing 4Dwm on my Indigo to recuparate about
>> 1.0MB.
>> --Roger
>
>Well, you should be able to do that, as I believe others have.
>Unfortunately, not having access to an SGI machine, I don't have any
>clue about what specific oddities you have to do to replace 4Dwm.
>
>Can anyone else on the list help Roger?  If there is something special
>that needs to be done for this I'll add it to the FAQ.
>
>Chuck

I've been using 2.0.40 under IRIX 5.3.  There are no oddities to
getting it to work.  Here's a copy of my "what-I-did" file, for IRIX
and Solaris, using ksh.  This keeps sources in a /c/src directory, and
installs fvwm into a /usr/fvwm directory, so make the appropriate
changes.

#
# What I did to get and build fvwm 2.0.40 on 12/28/95.  Pete Siemsen.
#
#
# Get Fvwm.
#
cd /c/src
ftp -n ftp.hpc.uh.edu
user anonymous [email-masked]
cd /pub/fvwm/version-2
binary
get fvwm-2.0.40.tar.gz
quit
gunzip fvwm-2.0.40.tar.gz
tar xf fvwm-2.0.40.tar
rm fvwm-2.0.40.tar
mv fvwm fvwm-2.0.40
cd fvwm-2.0.40

#
# If needed, get and install libXpm.a from ftp.x.org
#

#
# Prepare to build.  Install things under /usr/fvwm.
#
su
mkdir /usr/fvwm
chown siemsen /usr/fvwm
chgrp datacomm /usr/fvwm
logout
mkdir /usr/fvwm/bin
mkdir /usr/fvwm/lib
mkdir /usr/fvwm/man
mkdir /usr/fvwm/icons
mkdir /usr/fvwm/man/man1
mkdir /usr/fvwm/modules

emacs configure.h
/*#define RENAME_FVWM2*/
#define FVWMDIR        "/usr/fvwm"
#define FVWM_BINDIR    /usr/fvwm/bin
#define FVWM_MODULEDIR "/usr/fvwm/modules"
#define FVWM_LIBDIR    /usr/fvwm/lib
#define FVWM_MANDIR    /usr/fvwm/man/man1
#ifdef sgi
#define FVWM_ICONDIR "/usr/include/X11/bitmaps:/usr/fvwm/bitmaps"
#endif
#ifdef sun
#define FVWM_ICONDIR "/usr/openwin/share/include/X11/bitmaps:/usr/fvwm/bitmaps"
#endif

xmkmf
#
# Solaris only!!!!!!!!!!!!!! Fix the Makefile.
#
emacs Makefile
#        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)
        IMAKE_CMD = $(IMAKE) -I$(IRULESRC) $(IMAKE_DEFINES)
        MANSUFFIX = 1

make clean
make Makefiles
make

make install
cd /usr/fvwm/modules
ln -s FvwmButtons SmallButtons
cd /c/src/fvwm-2.0.40
make install.man
cd fvwm_icons
for fil in *
do
    if [[ ${OS} = 'IRIX' ]]; then
        install -m 0444 -f /usr/fvwm/icons $fil
    elif [[ ${OS} = 'SunOS' && ${REV} = '5.4' ]]; then
        install -m 0444 -c /usr/fvwm/icons $fil
    fi
done

#
# FvwmConfig needs to be installed separately.
#
cd modules/FvwmConfig
emacs makefile
.SUFFIXES: .cc
#	rm parse
MANDIR = /usr/fvwm/man/man1
install: FvwmConfig
	$(INSTALL) -m 0755 -f $(MANDIR) FvwmConfig
install.man: FvwmConfig.man
	$(INSTALL) -m 0444 -f $(MANDIR) FvwmConfig.man

make
make install

# Then, edit your .kshrc to add /usr/fvwm/bin to PATH and /usr/fvwm/man
# to MANPATH.
#
# Then, change the your .xinitrc file to invoke fvwm2, and work 12
# million hours on your .fvwmrc file :-)
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].